import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onTrtpButgetref(){
                let rtnmsg = await this.executeRule("trtp.butgetref")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
                this.model.trdgrp.rec.ownref = rtnmsg.data.trdgrp_rec_ownref
                this.$message({
                type: 'success',
                message: '获取成功！'
                });
                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
    },
    
    onSeainf() {
      

    },
        async onExtkey(e) {

        },
        async onFippDet(){
                let rtnmsg = await this.executeRule("fipp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onFinmodButget(){
                let rtnmsg = await this.executeRule("finmod.butget")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
                this.model.trdgrp.rec.intrat = rtnmsg.data.trdgrp_rec_intrat
                this.$message({
                    type: 'success',
                    message: '获取成功！'
                });
                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onFinmodButcal(){
                let rtnmsg = await this.executeRule("finmod.butcal")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
                this.model.trtmod.finmod.intamt = rtnmsg.data.trtmod_finmod_intrat
                this.$message({
                    type: 'success',
                    message: '获取成功！'
                });
                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onCodselSelbut(){
                let rtnmsg = await this.executeRule("codsel.selbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onDinmodDget(){
                let rtnmsg = await this.executeRule("dinmod.dget")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
                this.model.trtmod.finmod.dinjdm = rtnmsg.data.trtmod_finmod_dinjdm
                this.$message({
                    type: 'success',
                    message: '获取成功！'
                });
                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSav(){
                let rtnmsg = await this.executeRule("sav")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onUsrcon(){
                let rtnmsg = await this.executeRule("usrcon")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onChk(){
                let rtnmsg = await this.executeRule("chk")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onUsrchk(){
                let rtnmsg = await this.executeRule("usrchk")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSyswrnButshw(){
                let rtnmsg = await this.executeRule("syswrn.butshw")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onDiasel(){
                let rtnmsg = await this.executeRule("diasel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInc(){
                let rtnmsg = await this.executeRule("inc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onNotmap(){
                let rtnmsg = await this.executeRule("notmap")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onFrmbut(){
                let rtnmsg = await this.executeRule("frmbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onOrd(){
                let rtnmsg = await this.executeRule("ord")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onIncben(){
                let rtnmsg = await this.executeRule("incben")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onImgmodImage(){
                let rtnmsg = await this.executeRule("imgmod.image")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onImgmodNewimg(){
                let rtnmsg = await this.executeRule("imgmod.newimg")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onImgmodNewhisimg(){
                let rtnmsg = await this.executeRule("imgmod.newhisimg")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onImgmodElcimage(){
                let rtnmsg = await this.executeRule("imgmod.elcimage")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onEntmodEntbut(){
                let rtnmsg = await this.executeRule("entmod.entbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onPen(){
                let rtnmsg = await this.executeRule("pen")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onCan(){
                let rtnmsg = await this.executeRule("can")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecctySelbut1(){
                let rtnmsg = await this.executeRule("reccty.selbut1")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSetmodDet(){
                let rtnmsg = await this.executeRule("setmod.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}